Package fr.gouv.vitam.batch.report.rest.service

# Class BatchReportServiceImpl

java.lang.Object
fr.gouv.vitam.batch.report.rest.service.BatchReportServiceImpl

public class BatchReportServiceImpl extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchReportServiceImpl(EliminationActionUnitRepository eliminationActionUnitRepository, PurgeUnitRepository purgeUnitRepository, PurgeObjectGroupRepository purgeObjectGroupRepository, TransferReplyUnitRepository transferReplyUnitRepository, UpdateUnitReportRepository updateUnitReportRepository, BulkUpdateUnitMetadataReportRepository bulkUpdateUnitMetadataReportRepository, PreservationReportRepository preservationReportRepository, AuditReportRepository auditReportRepository, UnitComputedInheritedRulesInvalidationRepository unitComputedInheritedRulesInvalidationRepository, EvidenceAuditReportRepository evidenceAuditReportRepository, TraceabilityReportRepository traceabilityReportRepository, ExtractedMetadataRepository extractedMetadataRepository, DeleteGotVersionsReportRepository deleteGotVersionsReportRepository, WorkspaceClientFactory workspaceClientFactory)`
  `BatchReportServiceImpl(WorkspaceClientFactory workspaceClientFactory, EliminationActionUnitRepository eliminationActionUnitRepository, PurgeUnitRepository purgeUnitRepository, PurgeObjectGroupRepository purgeObjectGroupRepository, TransferReplyUnitRepository transferReplyUnitRepository, UpdateUnitReportRepository updateUnitReportRepository, BulkUpdateUnitMetadataReportRepository bulkUpdateUnitMetadataReportRepository, PreservationReportRepository preservationReportRepository, AuditReportRepository auditReportRepository, UnitComputedInheritedRulesInvalidationRepository unitComputedInheritedRulesInvalidationRepository, EvidenceAuditReportRepository evidenceAuditReportRepository, TraceabilityReportRepository traceabilityReportRepository, ExtractedMetadataRepository extractedMetadataRepository, DeleteGotVersionsReportRepository deleteGotVersionsReportRepository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendAuditReport(String processId, List<AuditObjectGroupReportEntry> auditEntries, int tenantId)`
  `void`
  `appendBulkUpdateUnitMetadataReport(List<BulkUpdateUnitMetadataReportEntry> unitEntries)`
  `void`
  `appendDeleteGotVersionsReport(List<DeleteGotVersionsReportEntry> unitEntries)`
  `void`
  `appendEliminationActionUnitReport(String processId, List<EliminationActionUnitReportEntry> entries, int tenantId)`
  `void`
  `appendEvidenceAuditReport(String processId, List<EvidenceAuditReportEntry> auditEntries, int tenantId)`
  `void`
  `appendPreservationReport(String processId, List<PreservationReportEntry> preservationEntries, int tenantId)`
  `void`
  `appendPurgeObjectGroupReport(String processId, List<PurgeObjectGroupReportEntry> entries, int tenantId)`
  `void`
  `appendPurgeUnitReport(String processId, List<PurgeUnitReportEntry> entries, int tenantId)`
  `void`
  `appendTraceabilityReport(String processId, List<TraceabilityReportEntry> entries, int tenantId)`
  `void`
  `appendTransferReplyUnitReport(String processId, List<TransferReplyUnitReportEntry> entries, int tenantId)`
  `void`
  `appendUnitComputedInheritedRulesInvalidationReport(String processId, List<UnitComputedInheritedRulesInvalidationReportEntry> unitEntries, int tenantId)`
  `void`
  `appendUnitReport(List<UpdateUnitMetadataReportEntry> unitEntries)`
  `void`
  `createExtractedMetadataDistributionFileForAu(String processId, int tenant, WorkFlowExecutionContext executionContext)`
  `void`
  `deleteAuditByIdAndTenant(String processId, int tenantId)`
  `void`
  `deleteBulkUpdateUnitMetadataByIdAndTenant(String processId, int tenantId)`
  `void`
  `deleteEliminationUnitByProcessId(String processId, int tenantId)`
  `void`
  `deleteEvidenceAuditByIdAndTenant(String processId, int tenantId)`
  `void`
  `deleteGotVersionsByIdAndTenant(String processId, int tenantId)`
  `void`
  `deletePreservationByIdAndTenant(String processId, int tenantId)`
  `void`
  `deletePurgeObjectGroupByIdAndTenant(String processId, int tenantId)`
  `void`
  `deletePurgeUnitByProcessId(String processId, int tenantId)`
  `void`
  `deleteTraceabilityByIdAndTenant(String processId, int tenantId)`
  `void`
  `deleteTransferReplyUnitByProcessId(String processId, int tenantId)`
  `void`
  `deleteUnitComputedInheritedRulesInvalidationReport(String processId, int tenantId)`
  `void`
  `deleteUpdateUnitByIdAndTenant(String processId, int tenantId)`
  `void`
  `exportPurgeAccessionRegister(String processId, String filename, int tenantId)`
  `void`
  `exportPurgeDistinctObjectGroupOfDeletedUnits(String processId, String filename, int tenantId)`
  `void`
  `exportUnitsToInvalidate(String processId, int tenantId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext)`
  `List<DeleteGotVersionsComputedDetails>`
  `readDeletedGotVersionsComputedDetailsFromReport(String processId, int tenantId)`
  `void`
  `storeExtractedMetadataForAu(List<ExtractedMetadata> extractedMetadatas)`
  `void`
  `storeFileToWorkspace(Report reportInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BatchReportServiceImpl

    public BatchReportServiceImpl(WorkspaceClientFactory workspaceClientFactory, EliminationActionUnitRepository eliminationActionUnitRepository, PurgeUnitRepository purgeUnitRepository, PurgeObjectGroupRepository purgeObjectGroupRepository, TransferReplyUnitRepository transferReplyUnitRepository, UpdateUnitReportRepository updateUnitReportRepository, BulkUpdateUnitMetadataReportRepository bulkUpdateUnitMetadataReportRepository, PreservationReportRepository preservationReportRepository, AuditReportRepository auditReportRepository, UnitComputedInheritedRulesInvalidationRepository unitComputedInheritedRulesInvalidationRepository, EvidenceAuditReportRepository evidenceAuditReportRepository, TraceabilityReportRepository traceabilityReportRepository, ExtractedMetadataRepository extractedMetadataRepository, DeleteGotVersionsReportRepository deleteGotVersionsReportRepository)

  - ### BatchReportServiceImpl

    public BatchReportServiceImpl(EliminationActionUnitRepository eliminationActionUnitRepository, PurgeUnitRepository purgeUnitRepository, PurgeObjectGroupRepository purgeObjectGroupRepository, TransferReplyUnitRepository transferReplyUnitRepository, UpdateUnitReportRepository updateUnitReportRepository, BulkUpdateUnitMetadataReportRepository bulkUpdateUnitMetadataReportRepository, PreservationReportRepository preservationReportRepository, AuditReportRepository auditReportRepository, UnitComputedInheritedRulesInvalidationRepository unitComputedInheritedRulesInvalidationRepository, EvidenceAuditReportRepository evidenceAuditReportRepository, TraceabilityReportRepository traceabilityReportRepository, ExtractedMetadataRepository extractedMetadataRepository, DeleteGotVersionsReportRepository deleteGotVersionsReportRepository, WorkspaceClientFactory workspaceClientFactory)

- ## Method Details

  - ### appendEliminationActionUnitReport

    public void appendEliminationActionUnitReport(String processId, List<EliminationActionUnitReportEntry> entries, int tenantId)

  - ### appendPurgeUnitReport

    public void appendPurgeUnitReport(String processId, List<PurgeUnitReportEntry> entries, int tenantId)

  - ### appendPurgeObjectGroupReport

    public void appendPurgeObjectGroupReport(String processId, List<PurgeObjectGroupReportEntry> entries, int tenantId)

  - ### appendTransferReplyUnitReport

    public void appendTransferReplyUnitReport(String processId, List<TransferReplyUnitReportEntry> entries, int tenantId)

  - ### appendPreservationReport

    public void appendPreservationReport(String processId, List<PreservationReportEntry> preservationEntries, int tenantId) throws BatchReportException
    Throws:
      `BatchReportException`

  - ### appendUnitReport

    public void appendUnitReport(List<UpdateUnitMetadataReportEntry> unitEntries)

  - ### appendBulkUpdateUnitMetadataReport

    public void appendBulkUpdateUnitMetadataReport(List<BulkUpdateUnitMetadataReportEntry> unitEntries)

  - ### appendUnitComputedInheritedRulesInvalidationReport

    public void appendUnitComputedInheritedRulesInvalidationReport(String processId, List<UnitComputedInheritedRulesInvalidationReportEntry> unitEntries, int tenantId) throws BatchReportException
    Throws:
      `BatchReportException`

  - ### appendDeleteGotVersionsReport

    public void appendDeleteGotVersionsReport(List<DeleteGotVersionsReportEntry> unitEntries)

  - ### deleteUnitComputedInheritedRulesInvalidationReport

    public void deleteUnitComputedInheritedRulesInvalidationReport(String processId, int tenantId)

  - ### exportUnitsToInvalidate

    public void exportUnitsToInvalidate(String processId, int tenantId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext) throws IOException, ContentAddressableStorageServerException, IllegalPathException
    Throws:
      `IOException`
      `ContentAddressableStorageServerException`
      `IllegalPathException`

  - ### appendAuditReport

    public void appendAuditReport(String processId, List<AuditObjectGroupReportEntry> auditEntries, int tenantId)

  - ### appendEvidenceAuditReport

    public void appendEvidenceAuditReport(String processId, List<EvidenceAuditReportEntry> auditEntries, int tenantId) throws BatchReportException
    Throws:
      `BatchReportException`

  - ### appendTraceabilityReport

    public void appendTraceabilityReport(String processId, List<TraceabilityReportEntry> entries, int tenantId)

  - ### storeFileToWorkspace

    public void storeFileToWorkspace(Report reportInfo) throws IOException, ContentAddressableStorageServerException, InvalidParseOperationException, IllegalPathException
    Throws:
      `IOException`
      `ContentAddressableStorageServerException`
      `InvalidParseOperationException`
      `IllegalPathException`

  - ### readDeletedGotVersionsComputedDetailsFromReport

    public List<DeleteGotVersionsComputedDetails> readDeletedGotVersionsComputedDetailsFromReport(String processId, int tenantId) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### exportPurgeDistinctObjectGroupOfDeletedUnits

    public void exportPurgeDistinctObjectGroupOfDeletedUnits(String processId, String filename, int tenantId) throws IOException, ContentAddressableStorageServerException, IllegalPathException
    Throws:
      `IOException`
      `ContentAddressableStorageServerException`
      `IllegalPathException`

  - ### exportPurgeAccessionRegister

    public void exportPurgeAccessionRegister(String processId, String filename, int tenantId) throws IOException, ContentAddressableStorageServerException, InvalidParseOperationException, IllegalPathException
    Throws:
      `IOException`
      `ContentAddressableStorageServerException`
      `InvalidParseOperationException`
      `IllegalPathException`

  - ### deleteEliminationUnitByProcessId

    public void deleteEliminationUnitByProcessId(String processId, int tenantId)

  - ### deletePurgeUnitByProcessId

    public void deletePurgeUnitByProcessId(String processId, int tenantId)

  - ### deletePurgeObjectGroupByIdAndTenant

    public void deletePurgeObjectGroupByIdAndTenant(String processId, int tenantId)

  - ### deleteTransferReplyUnitByProcessId

    public void deleteTransferReplyUnitByProcessId(String processId, int tenantId)

  - ### deletePreservationByIdAndTenant

    public void deletePreservationByIdAndTenant(String processId, int tenantId)

  - ### deleteAuditByIdAndTenant

    public void deleteAuditByIdAndTenant(String processId, int tenantId)

  - ### deleteUpdateUnitByIdAndTenant

    public void deleteUpdateUnitByIdAndTenant(String processId, int tenantId)

  - ### deleteBulkUpdateUnitMetadataByIdAndTenant

    public void deleteBulkUpdateUnitMetadataByIdAndTenant(String processId, int tenantId)

  - ### deleteEvidenceAuditByIdAndTenant

    public void deleteEvidenceAuditByIdAndTenant(String processId, int tenantId)

  - ### deleteGotVersionsByIdAndTenant

    public void deleteGotVersionsByIdAndTenant(String processId, int tenantId)

  - ### storeExtractedMetadataForAu

    public void storeExtractedMetadataForAu(List<ExtractedMetadata> extractedMetadatas)

  - ### createExtractedMetadataDistributionFileForAu

    public void createExtractedMetadataDistributionFileForAu(String processId, int tenant, WorkFlowExecutionContext executionContext) throws IOException, ContentAddressableStorageServerException, IllegalPathException
    Throws:
      `IOException`
      `ContentAddressableStorageServerException`
      `IllegalPathException`

  - ### deleteTraceabilityByIdAndTenant

    public void deleteTraceabilityByIdAndTenant(String processId, int tenantId)